### Method

# FwupdPlugin BiosSettings register_attr

#### Declaration [src]

    gboolean
    fu_bios_settings_register_attr (
      FuBiosSettings* self,
      FwupdBiosSetting* attr,
      GError** error
    )

#### Description [src]

Registers a BIOS setting that was created by a plugin. This is a public API for plugins to register custom BIOS settings.

Available since: | 2.0.20

#### Parameters

`attr` | `FwupdBiosSetting`
| A `FwupdBiosSetting`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| TRUE if the setting was registered successfully.